# Uses of Class
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.TypeHintPredicate

Packages that use ReflectionHintsPredicates.TypeHintPredicate
Package
Description
org.springframework.aot.hint.predicate
Predicate support for runtime hints.

## Uses of ReflectionHintsPredicates.TypeHintPredicate in org.springframework.aot.hint.predicate

Methods in org.springframework.aot.hint.predicate that return ReflectionHintsPredicates.TypeHintPredicate
Modifier and Type
Method
Description
`ReflectionHintsPredicates.TypeHintPredicate`
ReflectionHintsPredicates.`onType(Class<?> type)`
Return a predicate that checks whether a reflection hint is registered for the given type.
`ReflectionHintsPredicates.TypeHintPredicate`
ReflectionHintsPredicates.`onType(TypeReference typeReference)`
Return a predicate that checks whether a reflection hint is registered for the given type.